﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>GbgParkings Sample website</title>
    <script src="jquery-1.6.min.js" type="text/javascript"></script>
    <script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>

    <script type="text/javascript">

        var map = null;
        var info = null;
        var pins = [];

        function initialize() {
            var gothenburg = new google.maps.LatLng(57.700, 11.953);
            var options = {
                zoom: 14, 
                mapTypeId: google.maps.MapTypeId.ROADMAP
            };

            map = new google.maps.Map(document.getElementById('map'), options);

            map.setCenter(gothenburg);
        }

        function PerformSearch() {
            DeletePins();

            var latitude = $('#LatitudeTextbox').val();
            var longitude = $('#LongitudeTextbox').val();
            var radius = $('#RadiusTextbox').val();
            var type = $('#TypeDropdown').val();

            if ((latitude == '' || latitude == null) || (longitude == '' || longitude == null) || (radius == '' || radius == null)) {
                latitude = 0;
                longitude = 0;
                radius = 0;
            }

            $.ajax({
                type: "POST",
                url: "Default.aspx/GetGoogleMapsJS",
                data: "{ 'latitude':'" + latitude + "', 'longitude':'" + longitude + "', 'radius':'" + radius + "', 'type':'" + type + "' }",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    var result = msg.d;
                    if (result.Error) {
                        eval(result.Message);
                        return;
                    }
                    else {
                        eval(result.Message);
                    }
                },
                error: function (msg) {
                    alert(msg.status + ' - ' + msg.statusText);
                }
            });
        }

        function DeletePins() {
            if (pins) {
                for (i in pins) {
                    pins[i].setMap(null);
                }
                pins.length = 0;
            }
        }
    
    </script>
</head>
<body onload="initialize();">
    <form id="form1" runat="server">
    <div>
        <table border="0">
            <tr>
                <td style="width: 100px;">
                    Parkingtype:
                </td>
                <td style="width: 200px;">
                    <select id="TypeDropdown" style="width: 200px;">
                        <option value="private" selected="selected">PrivateParkings</option>
                        <option value="time">PublicTimeParkings</option>
                        <option value="toll">PublicTollParkings</option>
                        <option value="mc">MCParkings</option>
                        <option value="bus">BusParkings</option>
                        <option value="residential">ResidentialParkings</option>
                        <option value="handicap">HandicapParkings</option>
                        <option value="truck">TruckParkings</option>
                        <option value="pay">PublicPayMachines</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td style="width: 100px;">
                    Latitude:
                </td>
                <td style="width: 200px;">
                    <input type="text" id="LatitudeTextbox" value="57.700" />
                </td>
            </tr>
            <tr>
                <td style="width: 100px;">
                    Longitude:
                </td>
                <td style="width: 200px;">
                    <input type="text" id="LongitudeTextbox" value="11.953" />
                </td>
            </tr>
            <tr>
                <td style="width: 100px;">
                    Radius (m):
                </td>
                <td style="width: 200px;">
                    <input type="text" id="RadiusTextbox" value="500" />
                </td>
            </tr>
            <tr>
                <td style="width: 100px;">
                    
                </td>
                <td style="width: 200px;">
                    <input type="button" onclick="PerformSearch();" value="Search" />
                </td>
            </tr>
        </table> 
    </div>
    <div id="map" style="width: 900px; height: 600px;"></div>
    <div>
        <div style="width: 900px; text-align: right; font-size: smaller; float: left;">

        </div>
    </div>
    </form>
</body>
</html>
