﻿using System;
using System.Collections.Generic;
using System.Web;

namespace Unibase
{
    public class Parking
    {
        //Unique id for this parking
        public string Id { get; set; }

        //Name of the parking
        public string Name { get; set; }

        //Owner of the parking
        public string Owner { get; set; }

        //Total amount of currently free spaces
        public int? FreeSpaces { get; set; }

        //Last time the amount of free spaces was updated
        public DateTime? FreeSpacesDate { get; set; }

        //Total amount of spaces
        public int? ParkningSpaces { get; set; }

        //Total parkable length in meters
        public int? ParkableLength { get; set; }

        //Total amount of parkingspaces
        public int? ParkingSpaceCount { get; set; }

        //Parking charge for this parking
        public string ParkingCharge { get; set; }

        //Default parkingcost in SEK
        public string ParkingCost { get; set; }

        //Current parkingcost in SEK
        public int? CurrentParkingCost { get; set; }

        //Max allowed parking time
        public string MaxParkingTime { get; set; }

        //Residential parking code
        public string ResidentialParking { get; set; }

        //Additional information, such as cleaning zones
        public string ExtraInfo { get; set; }

        //Distance from current location
        public int? Distance { get; set; }

        //Latitude
        public double Latitude { get; set; }

        //Longitude
        public double Longitude { get; set; }
    }
}